Loading...
Searching...
No Matches
cmdline::range_reader< T > Struct Template Reference

`#include <cmdline.h>`

## Public Member Functions

| range_reader (const T &low, const T &high)
T | operator() (const std::string &s) const

## Detailed Description

template<class T>
struct cmdline::range_reader< T >

Definition at line 221 of file cmdline.h.

## Constructor & Destructor Documentation

## range_reader()

template<class T>

cmdline::range_reader< T >::range_reader | ( | const T & | low,
|  | const T & | high )

inline

Definition at line 222 of file cmdline.h.

## Member Function Documentation

## operator()()

template<class T>

T cmdline::range_reader< T >::operator() | ( | const std::string & | s | ) | const

inline

Definition at line 225 of file cmdline.h.

References cmdline::throw_cmdline_error().

The documentation for this struct was generated from the following file:

- src/autoschedulers/common/cmdline.h